using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel.DataAnnotations;
using BMA.EHR.Recurit.Exam.Service.Models.Documents;

namespace BMA.EHR.Recurit.Exam.Service.Models
{
    public class CMSCandidate : EntityBase
    {

        [Comment("Id โลโก้เว็บ")]
        public virtual Document? LogoImg { get; set; }

        [Comment("Id Banner")]
        public virtual Document? BannerImg { get; set; }


        [Comment("ชื่อเว็บภาษาไทย")]
        public string? NameTh { get; set; }

        [Comment("ชื่อย่อ")]
        public string? ShortName { get; set; }

        [Comment("ชื่อเว็บภาษาอังกฤษ")]
        public string? NameEn { get; set; }

        [Comment("ข้อมูลเว็บโดยย่อ")]
        public string? Description { get; set; }


        [Comment("ข้อมูลเกี่ยวกับเรา")]
        public string? About { get; set; }

        [Comment("ที่อยู่ปัจจุบัน")]
        public string? Address { get; set; }

        [Comment("Id จังหวัด")]
        public Guid? ProvinceId { get; set; }

        [Comment("จังหวัด")]
        public string? ProvinceName { get; set; }

        [Comment("Id อำเภอ")]
        public Guid? DistrictId { get; set; }

        [Comment("อำเภอ")]
        public string? DistrictName { get; set; }

        [Comment("Id ตำบล")]
        public Guid? SubDistrictId { get; set; }

        [Comment("ตำบล")]
        public string? SubDistrictName { get; set; }

        [MaxLength(10), Comment("รหัสไปรษณีย์")]
        public string? ZipCode { get; set; }

        [MaxLength(20), Comment("โทรศัพท์")]
        public string? Telephone { get; set; }

        public List<CMSAgency> CMSAgencys { get; set; } = new List<CMSAgency>();

        public List<CMSGovernment> CMSGovernments { get; set; } = new List<CMSGovernment>();
    }
}
